<?php

define('HB_FONT_DIR', dirname(__FILE__).DIRECTORY_SEPARATOR.'free_chinese_fonts_arphic');

/**
 *
 * @author eric okorie
 * @package pzphp
 * @subpackage HanziBlox - versions with PrimezeroTools
 * @version 0.9.3
 * @copyright 2008
 * @uses HanziBlox, creates digital Chinese character block
 * @link http://code.google.com/p/pzphp/wiki/HanziBlox
 *
 */


class HanziBlox {

	function __construct(){
		
		if(!file_exists(HB_FONT_DIR.DIRECTORY_SEPARATOR.'bkai00mp.ttf')){
			exit("you need truetype font <b>bkai00mp.ttf</b> - 
			download from svn on <a href=http://pzphp.googlecode.com>pzphp.googlecode.com</a>");
		}

		if(!file_exists(HB_FONT_DIR.DIRECTORY_SEPARATOR.'gkai00mp.ttf')){
			exit("you need truetype font <b>gkai00mp.ttf</b> -
			 download from svn on <a href=http://pzphp.googlecode.com>pzphp.googlecode.com</a>");
		}

		
	}
	
	function pzblox_create($hanzi = "喂"){




		##__HanziBlox______________________________________________
		## -- frist, let us get the data ... 


		$hanzi = substr($hanzi,0,3);




		##__HanziBlox______________________________________________
		## -- now, let us draw the canvas ... 

		$x1 = $y1 	= 0;
		$side 		= 120;
		$radius 	= $side * (1/5);
		$diameter 	= $radius * 2;		
		$x2 = $y2 	= $side;

		$im 	= imagecreate($side, $side);	

		// color for various parts .. 
		$col 	= imagecolorallocate($im, 255, 255, 255); 	// canvas color - white
		$blue 	= imagecolorallocate($im, 0,0,255); 		// square color - blue
		$red 	= imagecolorallocate($im, 255,0,0); 		// circle color - red
		$yellow = imagecolorallocate($im, 255,255,0); 		// circle color - red	

		// main body of the square
		imagefilledrectangle($im, $x1 + $radius, $y1, $x2 - $radius, $y2, $red);
		imagefilledrectangle($im, $x1, $y1 + $radius, $x2, $y2 - $radius, $red);


		// 4 rounders on each corner of the square
		imagefilledellipse($im, $x1 + $radius, $y1 + $radius, $radius * 2, $diameter, $red);
		imagefilledellipse($im, $x1 + $radius, $y2 - $radius, $radius * 2, $diameter, $red);
		imagefilledellipse($im, $x2 - $radius, $y2 - $radius, $radius * 2, $diameter, $red);
		imagefilledellipse($im, $x2 - $radius, $y1 + $radius, $radius * 2, $diameter, $red);



		##__HanziBlox______________________________________________
		## -- now, let us draw the character

		// default gb font
		$font = HB_FONT_DIR.DIRECTORY_SEPARATOR."gkai00mp.ttf"; 	

		$leftpos = 5; $vertpos = 100; $fontsize = 80;

		// capture the bounding box
		$hanzi_detex_b5 = imagettftext($im,$fontsize,0,$leftpos,$vertpos,$yellow,$font, $hanzi);

		// count number numbers 3 is a triangle, 2 is a line , 4 is box
		// less than 4 is failure of printing a font glyph ****
		$hanzi_detex_b5 = array_unique($hanzi_detex_b5);

		if( count($hanzi_detex_b5) < 3 ){
			$font = HB_FONT_DIR.DIRECTORY_SEPARATOR."bkai00mp.ttf"; 
			imagettftext($im,$fontsize,0,$leftpos,$vertpos,$yellow,$font, $hanzi);
		}



	return $im;
	} // end FCN go

} // end HanziBlox class


/**
 * Usage
 */
header("Content-type: image/gif; charset=utf-8");
$hb = new HanziBlox();
$char = $_GET['h'];
if(strlen($char)!==3) $char = iconv('GBK','UTF8',$char);
$img = $hb->pzblox_create($char);
imagegif($img);

?>